Get Metadata
Last updated: 2026-05-22
GET
/in-store/api/v1/metadataRetrieve configuration metadata for the Online API — including error codes, transaction statuses, payment methods, and print statuses
HTTP Status Code Summary
| Code | Description |
|---|---|
| 200 | Metadata retrieved successfully. |
| 401 | Unauthorized. Ensure your bearer token and subscription key are valid. |
Request
cURL
1curl -X 'GET' \
2 'https://demo-api.westpay.se/in-store/api/v1/metadata' \
3 -H 'accept: application/json' \
4 -H 'Ocp-Apim-Subscription-Key: <merchant-subscription-key>' \
5 -H 'Authorization: Bearer <access-token>'Response
Response
1{
2 "errorCodes": [
3 { "id": 1, "code": "WP01", "description": "Terminal not linked to a terminal ID" },
4 { "id": 2, "code": "WP02", "description": "Terminal not found in linked state" },
5 { "id": 3, "code": "WP03", "description": "Merchant inactive" },
6 { "id": 4, "code": "WP04", "description": "Transaction not found" },
7 { "id": 9, "code": "WP09", "description": "Terminal is busy processing previous transaction" },
8 { "id": 16, "code": "WP16", "description": "Specified terminal does not belong to the merchant" },
9 { "id": 18, "code": "WP18", "description": "No transaction is processing currently in the specified terminal" },
10 { "id": 22, "code": "WP22", "description": "PaymentMethod received from ECR is invalid" },
11 { "id": 23, "code": "WP23", "description": "Terminal is offline" },
12 { "id": 25, "code": "WP25", "description": "Acknowledgement timed-out from terminal" },
13 { "id": 26, "code": "WP26", "description": "Only 30 days of data is allowed to retrieve" },
14 { "id": 27, "code": "WP27", "description": "Only past 90 days data is available to retrieve" },
15 { "id": 30, "code": "WP30", "description": "Terminal has acknowledged the previous transaction but has not sent a response" },
16 { "id": 36, "code": "WP36", "description": "Transaction timed-out" },
17 { "id": 37, "code": "WP37", "description": "Transaction cancelled by ECR" }
18 ],
19 "transactionStatuses": [
20 { "id": 0, "code": "APPROVED", "description": "Transaction approved" },
21 { "id": 1, "code": "ABORTED_BY_CARDHOLDER", "description": "Aborted by cardholder" },
22 { "id": 2, "code": "ABORTED_BY_CASHIER", "description": "Aborted by cashier" },
23 { "id": 3, "code": "TERMINAL_IS_BUSY", "description": "Terminal is busy" },
24 { "id": 4, "code": "CARD_HAS_EXPIRED", "description": "Card has expired" },
25 { "id": 5, "code": "INVALID_CARD", "description": "Invalid card" },
26 { "id": 6, "code": "CARD_IS_BLOCKED", "description": "Card is blocked" },
27 { "id": 7, "code": "OFFLINE_QUEUE_IS_FULL", "description": "Offline queue is full" },
28 { "id": 8, "code": "TECHNICAL_ERROR", "description": "Technical error" },
29 { "id": 9, "code": "TERMINAL_IS_OFFLINE", "description": "Terminal is offline" },
30 { "id": 10, "code": "TERMINAL_MUST_UPDATE", "description": "Terminal must update" },
31 { "id": 11, "code": "TRANSACTION_DECLINED", "description": "Transaction declined" },
32 { "id": 12, "code": "WRONG_PIN", "description": "Wrong PIN entered" },
33 { "id": 13, "code": "REVERSED", "description": "Transaction reversed" },
34 { "id": 14, "code": "PENDING", "description": "Transaction is pending" }
35 ],
36 "paymentMethods": [
37 { "id": 0, "code": "Swish", "description": "Swish payment" },
38 { "id": 1, "code": "Klarna", "description": "Klarna payment" },
39 { "id": 2, "code": "Vipps", "description": "Vipps payment" }
40 ],
41 "printStatuses": [
42 { "id": 0, "code": "SUCCESS", "description": "Printed successfully" },
43 { "id": 1, "code": "BUSY", "description": "Terminal busy with a transaction" },
44 { "id": 2, "code": "OUT_OF_PAPER", "description": "Printer has no paper" },
45 { "id": 3, "code": "LOW_BATTERY", "description": "Terminal battery too low to print" },
46 { "id": 4, "code": "ERROR", "description": "General print error" },
47 { "id": 5, "code": "CANCELLED", "description": "Print cancelled" },
48 { "id": 6, "code": "TIMEOUT", "description": "Print request timed out" }
49 ]
50}